#ifndef MOKOACC_H_
#define MOKOACC_H_
#include <fstream>

class MokoAcc
{

public:

	MokoAcc(int,int);
	~MokoAcc();
	int AccelNumber;
    int uSeconds;
	int Acc;
    float Val[3];
    float TimeInMs;
    bool LoopFlag;
    char* LogFileName;
    std::ofstream LogFile;
    int ValueCount;
    int Loops;

    /// Set SampleRate max. 400
    void SetParams(int, int);

    /// Open the accelerometer
    void Open();

    /// Close the accelerometer
    void Close();

    /// Read the accelerometer
    void Read();

};

#endif /*MOKOGPS_H_*/
