#include "MokoAcc.h"
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
	
if (argc < 4)
{
	cout <<endl<< "MokoAcc [Number of Loops] [Accelerometer 1 or 2] [100 or 400 (Hz)] [threshold]" << endl<<endl;
	return 0;
}

///* Create new Object of chosen Accelerometer
cout << "AccNr: "<<atoi(argv[2]) << endl;
MokoAcc* Acc = new MokoAcc(atoi(argv[2]),atoi(argv[1]) );

///* select Samplerate max. 400
Acc->SetParams(atoi(argv[3]),atoi(argv[4])); 
	
///* open Accelerometer
Acc->Open();

///* read Acc1elerometer
Acc->Read();

cout << "finished" << endl;

///clean up
Acc->Close();
return 0;
}
